package com.zhn.houses.service.impl;

import com.zhn.common.domain.Houses;
import com.zhn.common.domain.request.ReqList;
import com.zhn.common.result.Result;
import com.zhn.houses.mapper.HousesMapper;
import com.zhn.houses.service.HousesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author DELL
 */
@Service
public class HousesServiceImpl implements HousesService {

    @Autowired
    HousesMapper housesMapper;

    /**
     * @param reqList
     * @return
     * @描述: 查询房子
     */
    @Override
    public Result<List<Houses>> getHouses(ReqList reqList) {
        List<Houses> list = housesMapper.getHouses(reqList);
        return Result.success(list);
    }
}
