package com.zhn.auth.service;

import com.zhn.common.domain.User;
import com.zhn.common.domain.request.RequestUser;
import com.zhn.common.domain.response.RespJwt;
import com.zhn.common.result.Result;

import javax.servlet.http.HttpServletRequest;

/**
 * @author DELL
 */
public interface AuthService {
    /**
     * @Param requestUser
     * @Return
     * @描述: 登陆查询
     */
    Result<RespJwt> login(RequestUser requestUser);

    /**
     * @param request
     * @return
     * @描述: 鉴权
     */
    Result<User> userinfo(HttpServletRequest request);
}
