package com.zhn.houses.controller;

import com.zhn.common.domain.Houses;
import com.zhn.common.domain.request.ReqList;
import com.zhn.common.result.Result;
import com.zhn.houses.service.HousesService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author DELL
 */
@RestController
@RequestMapping("/houses")
public class HousesController {
    @Autowired
    HousesService housesService;

    /**
     * @param reqList
     * @return Result<List < Houses>>
     */
    @GetMapping("/getHouses")
    public Result<List<Houses>> getHouses(@RequestBody ReqList reqList) {


        return housesService.getHouses(reqList);
    }


}
